Invitations

Endpoints for creating and managing invitations

Get all invitations

get

This endpoint retrieves all invitations associated with the provided API key.

Authorizations
x-api-keystringRequired
Query parameters
sort-fieldstringOptional

The field to sort by (default updated_at).

sort-directionstringOptional

The direction to sort (ASC or DESC, default DESC).

page-sizeintegerOptional

The number of invitations per page (default 20).

current-pageintegerOptional

The current page number (default 1).

item-countintegerOptional

The total number of items.

state-filterstringOptional

If provided, returns only invitations with this state.

contact-idstringOptional

If provided, returns only invitations for this contact_id.

Responses
200

A list of invitations

application/json
get
/api/v1/invitations

Create a new invitation

post

This endpoint creates a new invitation of type OOB.

Authorizations
x-api-keystringRequired
Body
invitation_typestringRequired

The type of the invitation (OOB).

Default: OOB
contact_idstringOptional

The ID of the contact.

Default: undefined
handshake_protocolstringOptional

The handshake protocol for OOB invitations.

Default: undefined
aliasstringOptional

The alias for the invitation.

Default: undefined
invitation_modestringOptional

The mode of the invitation.

Default: undefined
acceptstringOptional

The accept criteria for the invitation.

Default: true
publicbooleanOptional

Whether the invitation is public.

Default: false
invitation_rolestringOptional

The role of the invitation.

Default: undefined
invitation_labelstringOptional

The label of the invitation.

Default: undefined
invitation_statusstringOptional

The status of the invitation.

Default: undefined
invitation_descriptionstringOptional

The description of the invitation.

Default: undefined
purposestringOptional

The purpose of the invitation (optional unique identifier - if provided, must be unique per wallet).

Default: undefined
invitation_active_starting_atstring · date-timeOptional

The start time of the invitation's active period.

Default: undefined
invitation_active_ending_atstring · date-timeOptional

The end time of the invitation's active period.

Default: undefined
uses_allowednumberOptional

The number of uses allowed for the invitation.

Default: undefined
Responses
200

Invitation created successfully

application/json
invitation_urlstringOptionalExample: https://fresh-fox-61.tun2.indiciotech.io?oob=eyJAdHlwZSI6ICJodHRwczovL2RpZGNvbW0ub3JnL291dC1vZi1iYW5kLzEuMS9pbnZpdGF0aW9uIiwgIkBpZCI6ICIzMzAyMDMyZC05MTA4LTQ4YzMtYmM3ZC1mZjZiNzU1ZDcyMmQiLCAibGFiZWwiOiAiT09CIiwgImhhbmRzaGFrZV9wcm90b2NvbHMiOiBbImh0dHBzOi8vZGlkY29tbS5vcmcvZGlkZXhjaGFuZ2UvMS4xIl0sICJzZXJ2aWNlcyI6IFsiZGlkOnNvdjo5NUxBeVFpdE5oNWtWYWF5Q0ZDOVMyIl19
invitation_idintegerOptionalExample: 1
contact_idstringOptional
post
/api/v1/invitations

Accept an invitation

post

This endpoint accepts an invitation of type OOB.

Authorizations
x-api-keystringRequired
Body
invitation_urlstringOptional

The URL of the invitation to be accepted.

Default: undefinedExample: https://example.com/invitation?oob=abc123
Responses
200

Invitation accepted successfully

application/json
successbooleanOptional
invitation_recordobjectOptional
post
/api/v1/invitations/accept

Get invitation by ID

get

This endpoint retrieves a specific invitation by its ID.

Authorizations
x-api-keystringRequired
Path parameters
invitation_idstringRequired

The ID of the invitation.

Example: 1
Responses
200

Invitation retrieved successfully

application/json
invitationobjectOptional

The retrieved invitation credential record.

get
/api/v1/invitations/{invitation_id}

Update an invitation

put

This endpoint updates an existing invitation.

Authorizations
x-api-keystringRequired
Path parameters
invitation_idstringRequired

The ID of the invitation to update.

Body
workflow_statusstringOptional

The workflow status of the invitation.

Example: active
descriptionstringOptional

The description of the invitation.

Example: This is an updated invitation.
purposestringOptional

The purpose of the invitation (unique identifier).

Example: verification-demo-2025
active_starting_atstring · date-timeOptional

The start time of the invitation.

Example: 2023-01-01T00:00:00Z
active_ending_atstring · date-timeOptional

The end time of the invitation.

Example: 2030-12-31T23:59:59Z
uses_allowedintegerOptional

The number of uses allowed for the invitation.

Example: 1
Responses
200

Invitation updated successfully

application/json
updatedInvitationobjectOptional

The updated invitation record.

put
/api/v1/invitations/{invitation_id}

Delete an invitation

delete

This endpoint deletes an existing invitation.

Authorizations
x-api-keystringRequired
Path parameters
invitation_idstringRequired

The ID of the invitation to delete.

Responses
200

Invitation deleted successfully

application/json
successstringOptionalExample: Invitation was deleted successfully!
delete
/api/v1/invitations/{invitation_id}

Get invitation by purpose

get

Retrieves a specific invitation by its purpose identifier.

Authorizations
x-api-keystringRequired
Path parameters
purposestringRequired

The purpose identifier of the invitation.

Example: demo-1
Responses
200

Invitation retrieved successfully

application/json
invitationobjectOptional

The retrieved invitation credential record.

get
/api/v1/invitations/purpose/{purpose}

Last updated

Was this helpful?